#ifndef PACK_HEADER
#define PACK_HEADER

#include "public.hpp"
#include <list>

class CPackBinary
{
public:
    CPackBinary() = default;
    ~CPackBinary() = default;

private:
    CmdResult result_;

public:
    bool startPack(const CmdResult& result);

private:
    std::vector<std::string> getDepends(const std::string& path,
                                        const std::vector<std::string>& dirs);
    std::list<std::string> parseResult(const std::vector<std::string>& result);
    bool handleAndCopy(const std::list<std::string>& libs, const std::string& des);
};

#endif